// persona.h - Declaración de la clase CPersona
#if !defined(_PERSONA_H_)
#define _PERSONA_H_

/////////////////////////////////////////////////////////////////
// Clase para manipular registros
class CPersona
{
  friend std::ostream& operator<<(std::ostream&, CPersona&);
  private:
    char nombre[30];
    char direccion[40];
    long telefono;
  public:
    CPersona(char *nom = 0, char *dir = 0, long tel = 0);
    void asignarNombre(char *nom);
    char *obtenerNombre(char *nom) const;
    void asignarDireccion(char *dir);
    char *obtenerDireccion(char *dir) const;
    void asignarTelefono(long tel);
    long obtenerTelefono() const;
    int tamanyo();
};

#endif // _PERSONA_H_
/////////////////////////////////////////////////////////////////
